Properties Methods Events Direct Link

# Class String

Package: | Global
Defined In: | Ext.js
Class: | String
Extends: | Object

These functions are available as static methods on the JavaScript String object.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

escape( `String string` ) : String
<static> Escapes the passed string for ' and \
<static> Escapes the passed string for ' and \
Parameters:

- `string` : String
  The string to escape

Returns:

- `String`
  The escaped string

String

format( `String string`, `String value1`, `String value2` ) : String
<static> Allows you to define a tokenized string and pass an arbitrary number of arguments to replace the token...
<static> Allows you to define a tokenized string and pass an arbitrary number of arguments to replace the tokens. Each token must be unique, and must increment in the format {0}, {1}, etc. Example usage:

    var cls = 'my-class', text = 'Some text';
    var s = String.format('{1}', cls, text);
    // s now contains the string: 'Some text'

Parameters:

- `string` : String
  The tokenized string to be formatted
- `value1` : String
  The value to replace token {0}
- `value2` : String
  Etc...

Returns:

- `String`
  The formatted string

String

leftPad( `String string`, `Number size`, [`String char`] ) : String
<static> Pads the left side of a string with a specified character. This is especially useful for normalizing ...
<static> Pads the left side of a string with a specified character. This is especially useful for normalizing number and date strings. Example usage:

    var s = String.leftPad('123', 5, '0');
    // s now contains the string: '00123'

Parameters:

- `string` : String
  The original string
- `size` : Number
  The total length of the output string
- `char` : String
  (optional) The character with which to pad the original string (defaults to empty string " ")

Returns:

- `String`
  The padded string

String

toggle( `String value`, `String other` ) : String
Utility function that allows you to easily switch a string between two alternating values. The passed value is compa...
Utility function that allows you to easily switch a string between two alternating values. The passed value is compared to the current string, and if they are equal, the other value that was passed in is returned. If they are already different, the first value passed in is returned. Note that this method returns the new value but does not change the current string.

    // alternate sort directions
    sort = sort.toggle('ASC', 'DESC');

    // instead of conditional logic:
    sort = (sort == 'ASC' ? 'DESC' : 'ASC');

Parameters:

- `value` : String
  The value to compare to the current string
- `other` : String
  The new value to use if the string already equals the first value passed in

Returns:

- `String`
  The new value

String

trim() : String
Trims whitespace from either end of a string, leaving spaces within the string intact. Example: var s = ' foo bar ...
Trims whitespace from either end of a string, leaving spaces within the string intact. Example:

    var s = '  foo bar  ';
    alert('-' + s + '-');         //alerts "- foo bar -"
    alert('-' + s.trim() + '-');  //alerts "-foo bar-"

Parameters:

- None.

Returns:

- `String`
  The trimmed string

String

## Public Events

This class has no public events.